Bug 5501 - snmpd fails to satrt
: snmpd fails to satrt
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-08 00:49 MSD by Denis Silakov
Modified: 2015-05-25 15:39 MSD (History)
2 users (show)

See Also:
RPM Package: net-snmp
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-05-08 00:49:05 MSD
# snmpd
snmpd: symbol lookup error: snmpd: undefined symbol: netsnmp_sd_listen_fds

This happens due to incorrect build parameters.
Comment 1 Denis Silakov 2015-05-08 00:50:00 MSD
Advisory:
Fix snmpd program start.

Build lists:
https://abf.io/build_lists/2495982
https://abf.io/build_lists/2495983
Comment 2 FirstLevel 2015-05-08 09:57:11 MSD
I have installed net-snmp from new container and got an error.

[root@r5-32 ~]# urpmi net-snmp                                                                                                                       
To satisfy dependencies, the following packages are going to be installed:
 Package                        Version      Release       Dist  DEpoch Arch 
(medium "tst")
 libnetsnmpmibs30               5.7.2        5             rosa  2014.1 i586 
 libnetsnmptrapd30              5.7.2        5             rosa  2014.1 i586 
 net-snmp                       5.7.2        5             rosa  2014.1 i586 
 net-snmp-utils                 5.7.2        5             rosa  2014.1 i586 
 perl-NetSNMP                   5.7.2        5             rosa  2014.1 i586 
3.8MB of additional disk space will be used.
1MB of packages will be retrieved.
Proceed with the installation of the 5 packages? (Y/n) y
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2495982/i586/main/release/perl-NetSNMP-5.7.2-5-rosa2014.1.i586.rpm
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2495982/i586/main/release/net-snmp-5.7.2-5-rosa2014.1.i586.rpm                            
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2495982/i586/main/release/libnetsnmpmibs30-5.7.2-5-rosa2014.1.i586.rpm                    
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2495982/i586/main/release/libnetsnmptrapd30-5.7.2-5-rosa2014.1.i586.rpm                   
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2495982/i586/main/release/net-snmp-utils-5.7.2-5-rosa2014.1.i586.rpm                      
                                                                                                                                                     

installing libnetsnmpmibs30-5.7.2-5-rosa2014.1.i586.rpm net-snmp-5.7.2-5-rosa2014.1.i586.rpm perl-NetSNMP-5.7.2-5-rosa2014.1.i586.rpm net-snmp-utils-5.7.2-5-rosa2014.1.i586.rpm libnetsnmptrapd30-5.7.2-5-rosa2014.1.i586.rpm from /var/cache/urpmi/rpms
Preparing...                     ###################################################################################################################
      1/5: libnetsnmpmibs30      ###################################################################################################################
      2/5: net-snmp              ###################################################################################################################
      3/5: libnetsnmptrapd30     ###################################################################################################################
      4/5: perl-NetSNMP          ###################################################################################################################
      5/5: net-snmp-utils        ###################################################################################################################
[root@r5-32 ~]# snmpd
snmpd: symbol lookup error: snmpd: undefined symbol: netsnmp_sd_listen_fds
[root@r5-32 ~]# rpm -qa | grep net-snmp
net-snmp-mibs-5.7.2-3-rosa2014.1.i586
net-snmp-5.7.2-5-rosa2014.1.i586
net-snmp-utils-5.7.2-5-rosa2014.1.i586
[root@r5-32 ~]#
Comment 3 FirstLevel 2015-05-14 17:14:55 MSD
If I install new net-snmp package an error is presented
[root@r5-32 ~]# snmpd
snmpd: symbol lookup error: snmpd: undefined symbol: netsnmp_sd_listen_fds
[root@r5-32 ~]# rpm -qa | grep net-snmp
net-snmp-mibs-5.7.2-3-rosa2014.1.i586
net-snmp-5.7.2-5-rosa2014.1.i586
net-snmp-utils-5.7.2-5-rosa2014.1.i586
[root@r5-32 ~]# 

QA Denied
Comment 4 Denis Silakov 2015-05-14 18:01:39 MSD
I see. You should update not only net-snmp package, but libnetsnmp30 library.

I have created new build lists, so update of lib[64]netsnmp30 will be forced now if you update net-snmp.

Build lists:
https://abf.io/build_lists/2501333
https://abf.io/build_lists/2501334
Comment 5 FirstLevel 2015-05-15 09:06:15 MSD
32bit
install old, plug container, update, launch - ok
plug container, install new, launch - ok

64bit
install old, plug container, update, launch - ok
plug container, install new, launch - ok


urpmi python-netsnmp perl-NetSNMP net-snmp-trapd linksysmon cacti (requires net-snmp) - ok
Comment 6 Vladimir Potapov 2015-05-15 09:09:06 MSD
The update is sent to expanded testing
**************************************
Comment 7 FirstLevel 2015-05-25 15:29:26 MSD
net-snmp-5.7.2-6
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2501333/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2501334/x86_64/main/release/
************************ Advisory **********************
Fix snmpd program start.
********************************************************
QA Verified